Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGCanvas.LocationListener

    java.lang.Object
      java.awt.event.MouseMotionAdapter
          org.apache.batik.swing.JSVGCanvas.LocationListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseMotionListener

Enclosing class:
  JSVGCanvas

protected class JSVGCanvas.LocationListener
extends java.awt.event.MouseMotionAdapter

Helper class. Simply keeps track of the last known mouse position over the canvas.

Field Summary
`protected int` | `lastX`
`protected int` | `lastY`

Constructor Summary
`protected` | `JSVGCanvas.LocationListener()`

Method Summary
`int` | `getLastX()`
`int` | `getLastY()`
`void` | `mouseMoved(java.awt.event.MouseEvent evt)`

Methods inherited from class java.awt.event.MouseMotionAdapter
`mouseDragged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastX

    protected int lastX

### lastY

    protected int lastY

Constructor Detail

### JSVGCanvas.LocationListener

    protected JSVGCanvas.LocationListener()

Method Detail

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent evt)

### getLastX

    public int getLastX()

### getLastY

    public int getLastY()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.